package edu.uoc.characterbuilder.ejb;

import java.util.List;
import java.util.Map;

import javax.ejb.Local;

import edu.uoc.characterbuilder.model.AbilityCategoryJPA;

@Local
public interface AbilityCategoryEJBLocal {

	public List<AbilityCategoryJPA> getAllAbilityCategories();
	public Map<String, Object> deleteAbilityCategoryById(int id) throws org.springframework.transaction.UnexpectedRollbackException;
	public void newAbilityCategory(Map<String, Object> newAbilityCategoryData)throws org.springframework.transaction.UnexpectedRollbackException;
	public AbilityCategoryJPA getAbilityCategoryById(int id) throws javax.persistence.NoResultException;
	public Map<String, Object> updateAbilityCategory(Map<String, Object> newAbilityCategoryData) throws javax.persistence.PersistenceException;
	
}
