package edu.uoc.characterbuilder.ejb;

import java.util.List;
import java.util.Map;

import javax.ejb.Local;

import edu.uoc.characterbuilder.model.AbilityJPA;

@Local
public interface AbilityEJBLocal {

	public List<AbilityJPA> getAllAbilities();
	public Map<String, Object> deleteAbilityById(int id) throws org.springframework.transaction.UnexpectedRollbackException;
	public Map<String, Object> newAbility(Map<String, Object> newAbilityData)throws org.springframework.transaction.UnexpectedRollbackException;
	public AbilityJPA getAbilityById(int id) throws javax.persistence.NoResultException;
	public Map<String, Object> updateAbility(Map<String, Object> newAbilityData) throws javax.persistence.PersistenceException;
	
}
