package edu.uoc.characterbuilder.ejb;

import java.util.List;
import java.util.Map;

import javax.ejb.Local;

import edu.uoc.characterbuilder.model.QuirkJPA;

@Local
public interface QuirkEJBLocal {

	public void deleteQuirkById(int id);
	public void newQuirk(Map<String, Object> newQuirkData)throws org.springframework.transaction.UnexpectedRollbackException;
	public QuirkJPA getQuirkById(int id) throws javax.persistence.NoResultException;
	public List<QuirkJPA> getAllQuirks();
	public void updateQuirk(Map<String, Object> newQuirkData) throws javax.persistence.PersistenceException;
}
