 $(document).ready(function() {
  
});
 
function openModalErrorDialog(title, text){
	$('#errorDialog').prop('title', title);
	$('#errorDialog p').html(text);
	
	$("#errorDialog").dialog({
		modal: true,
		autoOpen: false,
		buttons: {
			"Close": function() {
				$(this).dialog("close");
			}
		}
	});
	$("#errorDialog").dialog("open");
}

function validateFields(fields){
	  
	  fields.css('background-color','#FFFFFF');
	  
	  var errorList = "";
	  
	  fields.each(function(i) {
		  
	    var element = $(this);// Per referirnos a l'element actual del bucle, i és l'index de l'array
	    
	    var isRequired = element.data('required');
	    var typeValidation = element.data('validation');
	    
	    if (isRequired && $(element).is('select') && element.val() < 0){
	    	errorList += "Required field :  Select an option <br/>";
	    	element.css('background-color','#ea4040');
	    } else {
	    
	    	if (isRequired && element.val().length == 0) {
		    	errorList += "Required field : " + $("label[for='"+$(this).attr('id')+"']").text() + "<br/>";
		    	element.css('background-color','#ea4040');
		    }

		    if (typeValidation === 'email' && !(/[a-z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[a-z0-9!#$%&'*+/=?^_`{|}~-]+)*@(?:[a-z0-9](?:[a-z0-9-]*[a-z0-9])?\.)+[a-z0-9](?:[a-z0-9-]*[a-z0-9])?/.test(element.val()))) {
		    	errorList += "Invalid email format"
		      element.css('background-color','#ea4040');
		    }
	    }

	  });
	  
	  return errorList;
	  
	};
 
	function resetForm(form) {
	    form.find('input[type=text], input[type=password], input[type=hidden], textarea').val('');
	    form.find('select').val('-1');
	    form.find('input[type=checkbox]').prop('checked',false).removeAttr('selected');
	    form.find('.spinner').each(function(i) {
	    	$(this).spinner('value', ($(this).hasClass('spinnerChar')? 0 : $(this).spinner( "option", "min" )));
	    });
	    
	    $('#chosenVirtuesList').empty();
	    $('#chosenFlawsList').empty();
	    $('.availableQuirksTable li').show();
	    $('#abilitiesBlock').find('input:text').val('0').trigger('change');
	    
	    $('form *').filter(function(){
	    	var color = $(this).css("background-color").toLowerCase();
	        return color === "#ea4040" || color === "rgb(234, 64, 64)" ;
	    }).removeAttr("style");
	}
	