<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<!DOCTYPE html>
<html>
	<head>
		<%@ include file="../fragments/links.jspf" %>
		<link href="<c:url value='/webcontent/css/login.css'/>" rel="stylesheet" type="text/css" media="screen" />
	</head>
	<body>
		<%@ include file="../fragments/header.jspf" %>
		<div id="mainContainer">
			<form id="loginForm" action="<c:url value='login_security_check'/>"
					method="POST">
				<div id="fieldBlock">
					<div class="line">
						<div class="label">
							<label for="username">Username</label>
						</div> 
						<div class="field">
							<input id="username" name="username" type="text" maxlength="20" />
						</div>
					</div>
					<div class="line">
						<div class="label">
							<label for="password">Password</label>
						</div>
						<div class="field"> 
							<input id="password" name="password" type="password" maxlength="12" />
						</div>
					</div>
				</div>
				<div id="lineLoginButton">
					<button id="loginButton" type="submit">Start session</button>
				</div>
			</form>
			<p id="authMessage">${message}</p>
    	</div>
  	</body>
</html>