<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<!DOCTYPE html>
<html>
	<head>
		<%@ include file="../fragments/links.jspf" %>
		<link href="<c:url value='/css/main.css'/>" rel="stylesheet" type="text/css" media="screen" />
		<script type="text/javascript">
			var pagCrearUsuari = '<c:url value="/login" />';
		</script>
	</head>
	<body>
		<%@ include file="../fragments/header.jspf" %>
		<%@ include file="../fragments/navBar.jspf" %>
		<div id="mainContainer">
			<div id="mainViewContainer">
				<fieldset>
					<legend>Log</legend>
						<ul class="elementsTable" id="logTable">
							<li class="lineTitle"><span class="columnTitle columnDate">Date</span><span class="columnTitle columnDescription">Description</span></li>
							<c:forEach items="${logList}" var="log">
								<li class="elementLine">
									<span class="columnDate"><fmt:formatDate pattern="yyyy-MM-dd" value="${log.logdate}" /></span>
									<span class="columnDescription">${log.description}</span>
								</li>
							</c:forEach>
						</ul>
				</fieldset>
			</div>
    	</div>
  	</body>
</html>