--Usuaris

insert into characterbuilder.user(username, password, email) values ('admin','pass','adminemail@email.com');
insert into characterbuilder.user(username, password, email) values ('player1','pass','playeremail@email.com');
insert into characterbuilder.user(username, password, email) values ('player2','pass','playeremail@email.com');

-- Roles

insert into characterbuilder.role(name) values ('ROLE_ADMIN');
insert into characterbuilder.role(name) values ('ROLE_PLAYER');

-- Relacio entre roles i usuaris

insert into characterbuilder.user_role(id_user, id_role) values (1,1);
insert into characterbuilder.user_role(id_user, id_role) values (2,2);
insert into characterbuilder.user_role(id_user, id_role) values (3,2);

-- Categories de quirks

insert into characterbuilder.quirkcategory(name) values ('Social status');
insert into characterbuilder.quirkcategory(name) values ('General');
insert into characterbuilder.quirkcategory(name) values ('Supernatural');
insert into characterbuilder.quirkcategory(name) values ('Personality');

-- Quirks

insert into characterbuilder.quirk(name, description, quirkdivision, quirktype) values ('Outlaw','The character several important crimes in his life','FLAW','MINOR');
insert into characterbuilder.quirk(name, description, quirkdivision, quirktype) values ('Fast healing','The character heals faster than most people','VIRTUE','MINOR');
insert into characterbuilder.quirk(name, description, quirkdivision, quirktype) values ('Magister in artibus','The character has completed several years of study at one of the universties of Europe','VIRTUE','MAJOR');
insert into characterbuilder.quirk(name, description, quirkdivision, quirktype) values ('Tormented by Demons','A demon has taken interest in the character','FLAW','MAJOR');
insert into characterbuilder.quirk(name, description, quirkdivision, quirktype) values ('Blind','The character has lost his sight','FLAW','MAJOR');
insert into characterbuilder.quirk(name, description, quirkdivision, quirktype) values ('Landed Noble','The character is one of the local nobles','VIRTUE','MAJOR');
insert into characterbuilder.quirk(name, description, quirkdivision, quirktype) values ('Warrior','The character has combat experience','VIRTUE','MINOR');
insert into characterbuilder.quirk(name, description, quirkdivision, quirktype) values ('Faerie friend','A faerie has taken interest in the character, for bad or worse','FLAW','MINOR');
insert into characterbuilder.quirk(name, description, quirkdivision, quirktype) values ('Faerie blood','An ancestor of the character was a faerie','VIRTUE','MINOR');
insert into characterbuilder.quirk(name, description, quirkdivision, quirktype) values ('Optimist','The character is convinced everything will go okay','FLAW','MINOR');
insert into characterbuilder.quirk(name, description, quirkdivision, quirktype) values ('Driven','The character has a goal, and nothing will stop him','FLAW','MINOR');
insert into characterbuilder.quirk(name, description, quirkdivision, quirktype) values ('Solitary','The character does not like multitudes','FLAW','MINOR');
insert into characterbuilder.quirk(name, description, quirkdivision, quirktype) values ('Nocturnal','The character is used to work at night','VIRTUE','MINOR');

-- Relacio entre categories de quirks i quirks

insert into characterbuilder.quirkcategory_quirk(id_quirkcategory, id_quirk) values (1,1);
insert into characterbuilder.quirkcategory_quirk(id_quirkcategory, id_quirk) values (2,2);
insert into characterbuilder.quirkcategory_quirk(id_quirkcategory, id_quirk) values (1,3);
insert into characterbuilder.quirkcategory_quirk(id_quirkcategory, id_quirk) values (3,4);
insert into characterbuilder.quirkcategory_quirk(id_quirkcategory, id_quirk) values (2,5);
insert into characterbuilder.quirkcategory_quirk(id_quirkcategory, id_quirk) values (1,6);
insert into characterbuilder.quirkcategory_quirk(id_quirkcategory, id_quirk) values (2,7);
insert into characterbuilder.quirkcategory_quirk(id_quirkcategory, id_quirk) values (3,8);
insert into characterbuilder.quirkcategory_quirk(id_quirkcategory, id_quirk) values (3,9);
insert into characterbuilder.quirkcategory_quirk(id_quirkcategory, id_quirk) values (4,10);
insert into characterbuilder.quirkcategory_quirk(id_quirkcategory, id_quirk) values (4,11);
insert into characterbuilder.quirkcategory_quirk(id_quirkcategory, id_quirk) values (4,12);
insert into characterbuilder.quirkcategory_quirk(id_quirkcategory, id_quirk) values (4,13);

-- Categories d'habilitats

insert into characterbuilder.abilitycategory(name) values ('General');
insert into characterbuilder.abilitycategory(name) values ('Martial');
insert into characterbuilder.abilitycategory(name) values ('Supernatural');
insert into characterbuilder.abilitycategory(name) values ('Academic');

-- Habilitats

insert into characterbuilder.ability(name, description, infancyselectable) values ('Brawl','Combat without weapons',true);
insert into characterbuilder.ability(name, description, infancyselectable) values ('Single weapon','Combat with single hand weapons',false);
insert into characterbuilder.ability(name, description, infancyselectable) values ('Great weapon','Combat with two handed weapons',false);
insert into characterbuilder.ability(name, description, infancyselectable) values ('Bows','Combat with bows and similar long range weapons',false);
insert into characterbuilder.ability(name, description, infancyselectable) values ('Swin','The alternative is worse',true);
insert into characterbuilder.ability(name, description, infancyselectable) values ('Athletics','Physical coordination and equilibrium',true);
insert into characterbuilder.ability(name, description, infancyselectable) values ('Guile','Lying and hiding information',true);
insert into characterbuilder.ability(name, description, infancyselectable) values ('Second Sight','The ability to see the invisible',true);
insert into characterbuilder.ability(name, description, infancyselectable) values ('Artes liberales','Knowledge',false);
insert into characterbuilder.ability(name, description, infancyselectable) values ('Medicine','Formal knowledge on the ills of the body',false);

-- Relacio enre habilitats i categories

insert into characterbuilder.ability_abilitycategory(id_abilitycategory,id_ability) values (1,1);
insert into characterbuilder.ability_abilitycategory(id_abilitycategory,id_ability) values (2,2);
insert into characterbuilder.ability_abilitycategory(id_abilitycategory,id_ability) values (2,3);
insert into characterbuilder.ability_abilitycategory(id_abilitycategory,id_ability) values (2,4);
insert into characterbuilder.ability_abilitycategory(id_abilitycategory,id_ability) values (1,5);
insert into characterbuilder.ability_abilitycategory(id_abilitycategory,id_ability) values (1,6);
insert into characterbuilder.ability_abilitycategory(id_abilitycategory,id_ability) values (1,7);
insert into characterbuilder.ability_abilitycategory(id_abilitycategory,id_ability) values (3,8);
insert into characterbuilder.ability_abilitycategory(id_abilitycategory,id_ability) values (4,9);
insert into characterbuilder.ability_abilitycategory(id_abilitycategory,id_ability) values (4,10);

-- Requisits per habilitats i categories d'habilitats

insert into characterbuilder.abilitycategory_quirk(id_abilitycategory,id_quirk, negated) values (2,7,false);
insert into characterbuilder.abilitycategory_quirk(id_abilitycategory,id_quirk, negated) values (2,1,false);
insert into characterbuilder.abilitycategory_quirk(id_abilitycategory,id_quirk, negated) values (3,9,false);
insert into characterbuilder.abilitycategory_quirk(id_abilitycategory,id_quirk, negated) values (4,3,false);

insert into characterbuilder.ability_quirk(id_ability,id_quirk, negated) values (2,7,false);
insert into characterbuilder.ability_quirk(id_ability,id_quirk, negated) values (3,7,false);
insert into characterbuilder.ability_quirk(id_ability,id_quirk, negated) values (4,7,false);

insert into characterbuilder.ability_quirk(id_ability,id_quirk, negated) values (2,1,false);
insert into characterbuilder.ability_quirk(id_ability,id_quirk, negated) values (3,1,false);
insert into characterbuilder.ability_quirk(id_ability,id_quirk, negated) values (4,1,false);

insert into characterbuilder.ability_quirk(id_ability,id_quirk, negated) values (8,9,false);

insert into characterbuilder.ability_quirk(id_ability,id_quirk, negated) values (9,3,false);
insert into characterbuilder.ability_quirk(id_ability,id_quirk, negated) values (10,3,false);

-- Requisits per quirks

insert into characterbuilder.quirk_quirk(id_dependent_quirk,id_required_quirk, negated) values (8,9,false);
