package edu.uoc.characterbuilder.ejb;

import java.util.List;
import java.util.Map;

import javax.ejb.Local;

import edu.uoc.characterbuilder.model.QuirkCategoryJPA;
import edu.uoc.characterbuilder.model.QuirkJPA;

@Local
public interface QuirkCategoryEJBLocal {

	public QuirkCategoryJPA getQuirkCategoryById(int id) throws javax.persistence.NoResultException;
	public void newQuirkCategory(Map<String, String> newQuirkCategoryData) throws org.springframework.transaction.UnexpectedRollbackException;
	public List<QuirkCategoryJPA> getAllQuirkCategories();
	public List<QuirkJPA> deleteQuirkCategoryById(int id);
	public void updateQuirkCategory(Map<String, String> newQuirkCategoryData) throws javax.persistence.PersistenceException;
	
}
