package edu.uoc.characterbuilder.ejb;

import java.util.List;
import java.util.Map;

import javax.ejb.Local;

import edu.uoc.characterbuilder.model.UserJPA;

@Local
public interface UserManagementEJBLocal {

	public UserJPA getUserByUsername(String username) throws javax.persistence.NoResultException;
	public void newUser(Map<String, String> newUserData) throws org.springframework.transaction.UnexpectedRollbackException;
	public List<UserJPA> getAllPLayers();
	public List<UserJPA> getAllAdmins();
	public List<UserJPA> getAllUsers();
	public void deleteUserById(int id);
	public void updateUser(Map<String, String> newUserData) throws javax.persistence.PersistenceException;
	public List<UserJPA> getNonOwners(int id);
}
