package edu.uoc.characterbuilder.model;

import java.io.Serializable;

public enum QuirkTypeEnum implements Serializable {
	
	MAJOR(3), MINOR(1);

	private int cost;
	
	QuirkTypeEnum(int cost){
		this.cost = cost;
	}
	
	public int getCost(){
		return cost;
	}
	
	@Override
	  public String toString() {
	    switch(this) {
	      case MAJOR: return "Major";
	      case MINOR: return "Minor";
	      default: throw new IllegalArgumentException();
	    }
	}
	
}
